# Project Rules

These rules govern how Runic agents should approach development tasks.

## Code Style

- Use consistent indentation (2 spaces)
- Follow language-specific naming conventions
- Keep functions small and focused
- Add descriptive comments for complex logic

## Git Practices

- Write clear commit messages
- Create feature branches for new work
- Keep commits atomic and focused
- Pull and rebase before pushing

## Testing

- Write unit tests for new features
- Maintain test coverage above 80%
- Run full test suite before merging
- Mock external dependencies

## Documentation

- Update README for major changes
- Document public APIs
- Include setup instructions
- Keep docs in sync with code

## Security

- Never commit secrets or credentials
- Validate all user input
- Use secure dependencies
- Follow OWASP guidelines

## Performance

- Optimize database queries
- Cache expensive operations
- Minimize HTTP requests
- Profile before optimizing

Note: These rules can be customized for each project. The Orchestrator should update this file with project-specific rules as needed. 